Package org.flywaydb.core.api

## Enum MigrationState

- java.lang.Object
- - java.lang.Enum<MigrationState>
  - - org.flywaydb.core.api.MigrationState

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MigrationState>`

      public enum MigrationState
      extends java.lang.Enum<MigrationState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABOVE_TARGET` | This migration has not been applied yet, and won't be applied because target is set to a lower version.
    `AVAILABLE` | This undo migration is ready to be applied if desired.
    `BASELINE` | This migration has baselined this DB.
    `BASELINE_IGNORED` | This migration will not be applied as there is a corresponding baseline at this version.
    `BELOW_BASELINE` | This migration was not applied against this DB, because the schema history table was baselined with a higher version.
    `DELETED` | This is a migration that has been marked as deleted.
    `FAILED` | This migration failed.
    `FUTURE_FAILED` | This migration failed.
    `FUTURE_SUCCESS` | This migration succeeded.
    `IGNORED` | When using cherryPick, this indicates a migration that was not in the cherry picked list.
    `MISSING_FAILED` | This migration failed.
    `MISSING_SUCCESS` | This migration succeeded.
    `OUT_OF_ORDER` | This migration succeeded.
    `OUTDATED` | This is a repeatable migration that is outdated and should be re-applied.
    `PENDING` | This migration has not been applied yet.
    `SUCCESS` | This migration succeeded.
    `SUPERSEDED` | This is a repeatable migration that is outdated and has already been superseded by a newer run.
    `UNDONE` | This versioned migration succeeded, but has since been undone.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` |
    `boolean` | `isApplied()` |
    `boolean` | `isFailed()` |
    `boolean` | `isResolved()` |
    `static MigrationState` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MigrationState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final MigrationState PENDING

      This migration has not been applied yet.

    - #### ABOVE_TARGET

          public static final MigrationState ABOVE_TARGET

      This migration has not been applied yet, and won't be applied because target is set to a lower version.

    - #### BELOW_BASELINE

          public static final MigrationState BELOW_BASELINE

      This migration was not applied against this DB, because the schema history table was baselined with a higher version.

    - #### BASELINE_IGNORED

          public static final MigrationState BASELINE_IGNORED

      This migration will not be applied as there is a corresponding baseline at this version.

    - #### BASELINE

          public static final MigrationState BASELINE

      This migration has baselined this DB.

    - #### IGNORED

          public static final MigrationState IGNORED

      When using cherryPick, this indicates a migration that was not in the cherry picked list. When not using cherryPick, this usually indicates a problem. This migration was not applied against this DB, because a migration with a higher version has already been applied. This probably means some checkins happened out of order. Fix by increasing the version number, run clean and migrate again or rerun migration with outOfOrder enabled.

    - #### MISSING_SUCCESS

          public static final MigrationState MISSING_SUCCESS

      This migration succeeded. This migration was applied against this DB, but it is not available locally. This usually results from multiple older migration files being consolidated into a single one.

    - #### MISSING_FAILED

          public static final MigrationState MISSING_FAILED

      This migration failed. This migration was applied against this DB, but it is not available locally. This usually results from multiple older migration files being consolidated into a single one. This should rarely, if ever, occur in practice.

    - #### SUCCESS

          public static final MigrationState SUCCESS

      This migration succeeded.

    - #### UNDONE

          public static final MigrationState UNDONE

      This versioned migration succeeded, but has since been undone.

    - #### AVAILABLE

          public static final MigrationState AVAILABLE

      This undo migration is ready to be applied if desired.

    - #### FAILED

          public static final MigrationState FAILED

      This migration failed.

    - #### OUT_OF_ORDER

          public static final MigrationState OUT_OF_ORDER

      This migration succeeded. This migration succeeded, but it was applied out of order. Rerunning the entire migration history might produce different results!

    - #### FUTURE_SUCCESS

          public static final MigrationState FUTURE_SUCCESS

      This migration succeeded. This migration has been applied against the DB, but it is not available locally. Its version is higher than the highest version available locally. It was most likely successfully installed by a future version of this deployable.

    - #### FUTURE_FAILED

          public static final MigrationState FUTURE_FAILED

      This migration failed. This migration has been applied against the DB, but it is not available locally. Its version is higher than the highest version available locally. It most likely failed during the installation of a future version of this deployable.

    - #### OUTDATED

          public static final MigrationState OUTDATED

      This is a repeatable migration that is outdated and should be re-applied.

    - #### SUPERSEDED

          public static final MigrationState SUPERSEDED

      This is a repeatable migration that is outdated and has already been superseded by a newer run.

    - #### DELETED

          public static final MigrationState DELETED

      This is a migration that has been marked as deleted.

  - ### Method Detail

    - #### values

          public static MigrationState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MigrationState c : MigrationState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MigrationState valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDisplayName

          public java.lang.String getDisplayName()

    - #### isResolved

          public boolean isResolved()

    - #### isApplied

          public boolean isApplied()

    - #### isFailed

          public boolean isFailed()